Skip to main content
`Ctrl`+`K`

# skbio.util.aliased

skbio.util.aliased(name, ver=None, warn=False)

  Create an alias for a function or method.

  Parameters:
    name str

      Alias name of the function or method.

    ver str, optional

      Version when alias was created.

    warn bool, optional

      If True, raise a deprecation warning when alias is called.

  See also

  `deprecated`
  `register_aliases`
  `params_aliased`

  Notes

  This is a decorator that can be applied to a function or method to indicate its alias status. To make it effective, `register_aliases` must be applied to the parent module or class.